com.ihr.xbrl.om.formula.functions.reusable

## Class RC_XFI_concept_relationshipsBase

- java.lang.Object
- - com.ihr.xbrl.om.formula.functions.reusable.RC_XFI_concept_relationshipsBase

- Direct Known Subclasses:
    RC_XFI_concept_relationships, RC_XFI_concept_relationships_drs

      public abstract class RC_XFI_concept_relationshipsBase
      extends java.lang.Object

  There is a xfi function to return concept-relationships. That function is used later in concept-relationship filters. The table linkbase specification reuses the xfi function but adds new possibilities to axis. So at the beginning the implementation tried to reuse the existing function but after a few development cycles it was clear that the things in common are not much. Today, the implementation of the XFI base function reuses the implementation defined for concept-relationships that is part of the concept-relationship specification in the table linkbase. At least it works for both, table linkbase conformance suite and xfi functions conformance suite. The DRS version reuses very little from the base implementation. There is work TODO in order to split the axis that are valid for xfi and not valid for table and implement them on each class. Now the implementation of table handles both cases simultaneously.
  Author:
    Ignacio

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RC_XFI_concept_relationshipsBase.Axis` This is a mark interface in order to be implemented by enumerations in the DRS version and the XBRL2.1 version of this

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RC_XFI_concept_relationshipsBase()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RC_XFI_concept_relationshipsBase

          public RC_XFI_concept_relationshipsBase()